package com.cloudcross.ssp.model;

import java.util.Date;
/**
 * *
 * @author WangHeng
 *	和t_code_class表相关
 *	是分类访客找回的对应的实体类
 *	
 */
public class CodeClass {
	
	private Long id;  //分类访客找回Id	
	
	private Long advertiserId;  //广告主ID	
	
	private String codeName;    //分类名称
	
	private String codePara;    //分类参数值
	
	private String script;     //  javascript代码
	
	private String picture;       //图片代码
	
	private Date updated;    //最后更新时间
	

	public Long getId() {
		return id;
	}


	public void setId(Long id) {
		this.id = id;
	}



	public Long getAdvertiserId() {
		return advertiserId;
	}



	public void setAdvertiserId(Long advertiserId) {
		this.advertiserId = advertiserId;
	}



	public String getCodeName() {
		return codeName;
	}



	public void setCodeName(String codeName) {
		this.codeName = codeName;
	}



	public String getCodePara() {
		return codePara;
	}


	public void setCodePara(String codePara) {
		this.codePara = codePara;
	}


	public String getScript() {
		return script;
	}


	public void setScript(String script) {
		this.script = script;
	}


	public String getPicture() {
		return picture;
	}

	public void setPicture(String picture) {
		this.picture = picture;
	}

	public Date getUpdated() {
		return updated;
	}


	public void setUpdated(Date updated) {
		this.updated = updated;
	}


	@Override
	public String toString() {
		return "CodeClass [id=" + id + ", advertiserId=" + advertiserId
				+ ", codeName=" + codeName + ", codePara=" + codePara
				+ ", script=" + script + ", picture=" + picture
				+ ",  updated=" + updated + "]";
	
	}	
}
